DPInterpreter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.twohead.DPInterpreter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp.twohead
Class DPInterpreter

    java.lang.Object
      org.biojava.bio.dp.twohead.DPInterpreter

All Implemented Interfaces:
  CellCalculatorFactory

    public class DPInterpreter

extends Object
implements CellCalculatorFactory

Author:
  Matthew Pocock, Thomas Down

Nested Class Summary
`static class` | `DPInterpreter.Maker`

Constructor Summary
`DPInterpreter(DP dp)`

Method Summary
`CellCalculator` | `backwards(ScoreType scoreType)`
`CellCalculator` | `forwards(ScoreType scoreType)`
`CellCalculator` | `viterbi(ScoreType scoreType, BackPointer terminal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPInterpreter

    public DPInterpreter(DP dp)

Method Detail

### forwards

    public CellCalculator forwards(ScoreType scoreType)
                            throws IllegalSymbolException,
                                   IllegalAlphabetException,
                                   IllegalTransitionException

  Specified by:
    `forwards` in interface `CellCalculatorFactory`
  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`

### backwards

    public CellCalculator backwards(ScoreType scoreType)
                             throws IllegalSymbolException,
                                    IllegalAlphabetException,
                                    IllegalTransitionException

  Specified by:
    `backwards` in interface `CellCalculatorFactory`
  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`

### viterbi

    public CellCalculator viterbi(ScoreType scoreType,
                                  BackPointer terminal)
                           throws IllegalSymbolException,
                                  IllegalAlphabetException,
                                  IllegalTransitionException

  Specified by:
    `viterbi` in interface `CellCalculatorFactory`
  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD